> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/log-analysis/index-rate-alert/update-index-rate-alert/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Update Index Rate Alert PUT https://api.mezmo.com/v1/config/index-rate Content-Type: application/json Use this method to update an index rate alert. You can change the alert's configuration details. Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/index-rate-alert/update-index-rate-alert ## Authentication - `Authorization` header (required) — This key is used for all apis with the exception of ingest. You can obtain it following [these instructions](https://docs.mezmo.com/docs/ingestion-key) and placing the key in the header of your call in the format of `Authorization: Token {accesstoken}` For example: ``` curl -H 'Authorization: Token ' ``` - `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place ## Request ### Body (application/json) This endpoint expects an indexRateAlertConfigResponse. - `max_lines` (integer, optional) — The number of lines required in order to trigger the alert. - `max_z_score` (integer, optional) — The number of standard deviations above the 30 day average lines in order to trigger the alert. - `threshold_alert` (enum, optional) — Determines if you want alerts to be triggered if both the max lines and standard deviation have been triggered, or if one of the thresholds has been reached. - Allowed values: `separate`, `both` - `frequency` (enum, optional) — Notify recipients once per hour, or once per day, (starting when the threshold is passed the first time) until the index rate drops below the thresholds. When the index rate drops below the thresholds, alerting stops. - Allowed values: `hourly`, `daily` - `channels` (IndexRateAlertConfigResponseChannels, optional) - `enabled` (boolean, optional) ## Response ### 200 OK - `max_lines` (integer, optional) — The number of lines required in order to trigger the alert. - `max_z_score` (integer, optional) — The number of standard deviations above the 30 day average lines in order to trigger the alert. - `threshold_alert` (enum, optional) — Determines if you want alerts to be triggered if both the max lines and standard deviation have been triggered, or if one of the thresholds has been reached. - Allowed values: `separate`, `both` - `frequency` (enum, optional) — Notify recipients once per hour, or once per day, (starting when the threshold is passed the first time) until the index rate drops below the thresholds. When the index rate drops below the thresholds, alerting stops. - Allowed values: `hourly`, `daily` - `channels` (IndexRateAlertConfigResponseChannels, optional) - `enabled` (boolean, optional) ## Types ### IndexRateAlertConfigResponseChannels - `email` (list of string, optional) - `pagerduty` (list of string, optional) - `slack` (list of string, optional) - `webhook` (list of indexRateAlertWebhookConfigResponse, optional) ### indexRateAlertWebhookConfigResponse - `url` (string, optional) — Webhook URL. - `method` (enum, optional) — WebHook method such as POST. - Allowed values: `POST`, `PUT`, `PATCH` - `headers` (headers, optional) - `bodyTemplate` (string, optional) ### headers - `timestamp` (string, optional) — Header value ## Examples **Request** ```json {} ``` **Response** ```json { "max_lines": 5000, "max_z_score": 3, "threshold_alert": "both", "frequency": "hourly", "channels": { "email": [ "alerts@acme-corp.io", "devops@acme-corp.io" ], "pagerduty": [ "PD1234567890abcdef" ], "slack": [ "https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXX" ], "webhook": [ { "url": "https://telemetry.acme-corp.io/api/alerts", "method": "POST", "headers": { "timestamp": "X-Alert-Timestamp" }, "bodyTemplate": "{\"service\":\"payment-service\",\"alert\":\"index_rate_threshold_exceeded\",\"level\":\"ERROR\",\"details\":\"Index rate exceeded max lines and z-score thresholds.\"}" } ] }, "enabled": true } ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v1/config/index-rate" payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v1/config/index-rate'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v1/config/index-rate" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v1/config/index-rate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.mezmo.com/v1/config/index-rate") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://api.mezmo.com/v1/config/index-rate', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v1/config/index-rate"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/config/index-rate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```